> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useinvent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove a block

> Permanently remove a block from its page.



## OpenAPI

````yaml https://api.useinvent.com/openapi.json delete /orgs/{org_id}/pages/{page_ref}/blocks/{block_id}
openapi: 3.1.0
info:
  version: 1.0.0
  title: Invent API
servers:
  - url: https://api.useinvent.com
security:
  - bearerAuth: []
paths:
  /orgs/{org_id}/pages/{page_ref}/blocks/{block_id}:
    delete:
      tags:
        - Orgs Pages
      summary: Remove a block
      description: Permanently remove a block from its page.
      parameters:
        - schema:
            type: string
          required: true
          description: Org ID
          name: org_id
          in: path
        - schema:
            type: string
          required: true
          description: Page slug or encoded page id
          name: page_ref
          in: path
        - schema:
            type: string
          required: true
          description: Block ID
          name: block_id
          in: path
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: 'null'
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Bearer token authentication using your API key

````